
%global meadversion 1.10.0
%global namedversion 1.10.0.redhat-5
%global meadalpha .redhat_5
%global meadrel .1
%global serial 5
%global namedversionrel redhat-5

%bcond_with javadoc
%bcond_without mead
%bcond_with tests

%{?scl:%scl_package %{?scl_prefix}apache-commons-codec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.10.0.redhat-5

Name:           %{?scl_prefix}apache-commons-codec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Commons Codec
Group:          Development/Java

%if %with mead
Source100: commons-codec-1.10.0.redhat-5-scm-sources.zip
Source102: commons-codec-1.10.0.redhat-5-tests.jar
Source103: commons-codec-1.10.0.redhat-5.jar
Source104: commons-codec-1.10.0.redhat-5-sources.jar
Source105: commons-codec-1.10.0.redhat-5-javadoc.jar
Source106: commons-codec-1.10.0.redhat-5.pom
Source107: commons-codec-1.10.0.redhat-5-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://commons.apache.org/proper/commons-codec/
Provides:       %{?scl_prefix}commons-codec = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
The Apache Commons Codec package contains simple encoder and decoders for
various formats such as Base64 and Hexadecimal. In addition to these
widely used encoders and decoders, the codec package also maintains a
collection of phonetic encoding utilities.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-codec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n commons-codec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-codec-%{namedversion}.jar %{buildroot}%{_javadir}/commons-codec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-codec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-codec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-codec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-codec-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/commons-codec-%{namedversion}-tests.jar %{buildroot}%{_javadir}/commons-codec-%{namedversion}-tests.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-codec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/commons-codec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-codec-%{namedversion} -x META-INF/\*
%{__ln_s} commons-codec-%{namedversion} %{buildroot}%{_javadocdir}/commons-codec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt PROPOSAL.html RELEASE-NOTES.txt TODO
%{_javadir}/commons-codec-%{namedversion}.jar
%{_javadir}/commons-codec.jar
%if %with javadoc
%{_javadir}/commons-codec-%{namedversion}-javadoc.jar
%{_javadir}/commons-codec-javadoc.jar
%endif
%{_javadir}/commons-codec-%{namedversion}-sources.jar
%{_javadir}/commons-codec-sources.jar
%if %with tests
%{_javadir}/commons-codec-%{namedversion}-tests.jar
%{_javadir}/commons-codec-tests.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-codec-%{namedversion}
%{_javadocdir}/commons-codec
%endif

%changelog
* Mon Sep 28 2015 David Walluck <dwalluck@redhat.com> - 1.10.0-5.redhat_5.1
- rebuild for new parent

* Mon Sep 28 2015 David Walluck <dwalluck@redhat.com> - 1.10.0-4.redhat_4.1
- rebuild for new parent version

* Mon Sep 28 2015 David Walluck <dwalluck@redhat.com> - 1.10.0-3.redhat_3.1
- fix parent pom version

* Thu Aug 27 2015 Yong Yang <yyang@redhat.com> - 1.10.0-1.redhat_1.1
- 1.10

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.9.0-2.redhat_1.1
- Re-wrap to include RHEL-6

* Mon May 04 2015 David Walluck <dwalluck@redhat.com> - 1.9.0-1.redhat_1.1
- release

